## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Update a large language model

#### PATCH

/
v2.0
/
largelanguagemodels
/
{largeLanguageModelId}

#### cURL

```bash
curl --request PATCH \
  --url https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels/{largeLanguageModelId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '\
{
  "name": "My large language model",
  "description": "Large language model to be used for customer-facing AI Agents.",
  "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isDefault": false
}
'
```

#### Python Example

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels/{largeLanguageModelId}"

payload = {
    "name": "My large language model",
    "description": "Large language model to be used for customer-facing AI Agents.",
    "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "isDefault": False
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

#### JavaScript Example

```javascript
const options = {
  method: 'PATCH',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'My large language model',
    description: 'Large language model to be used for customer-facing AI Agents.',
    connectionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    isDefault: false
  })
};

fetch('https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels/{largeLanguageModelId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP Example

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels/{largeLanguageModelId}",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "PATCH",\
  CURLOPT_POSTFIELDS => json_encode([\
    'name' => 'My large language model',\
    'description' => 'Large language model to be used for customer-facing AI Agents.',\
    'connectionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',\
    'isDefault' => false\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Content-Type: application/json",\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

#### Go Example

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels/{largeLanguageModelId}"

payload := strings.NewReader("{\n  \"name\": \"My large language model\",\n  \"description\": \"Large language model to be used for customer-facing AI Agents.\",\n  \"connectionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n  \"isDefault\": false\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Common HTTP Response Status Codes

- **204**: Successfully updated large language model.
- **400**: Bad Request.
- **401**: Unauthorized.
- **403**: Forbidden.
- **404**: Not Found.
- **500**: Internal Server Error.

### Authorizations

- **APIKeyHeader**: X-API-Key (required in header).

### Headers

- **Accept**: Optional; default is `application/json`.

### Path Parameters

- **largeLanguageModelId**: Required; unique identifier for the large language model.
